Bug 1329923 - Review Request: gimp-layer-via-copy-cut - Layer via copy/cut plug-in for GIMP
Summary: Review Request: gimp-layer-via-copy-cut - Layer via copy/cut plug-in for GIMP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: DESIGN-SW
TreeView+ depends on / blocked
 
Reported: 2016-04-25 01:54 UTC by Luya Tshimbalanga
Modified: 2016-08-04 09:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-17 16:01:54 UTC
puntogil: fedora-review+


Attachments (Terms of Use)

Description Luya Tshimbalanga 2016-04-25 01:54:04 UTC
Spec URL: https://luya.fedorapeople.org/packages/SPECS/gimp-layer-via-copy-cut.spec
SRPM URL: https://luya.fedorapeople.org/packages/SRPMS/gimp-layer-via-copy-cut-1.6-1.fc24.src.rpm
Description: Copy and move the selected area to a new layer in the same position.
Fedora Account System Username: luya

Comment 1 Luya Tshimbalanga 2016-04-25 01:56:04 UTC
Koji build scratch result:
http://koji.fedoraproject.org/koji/taskinfo?taskID=13789064

Comment 2 gil cattaneo 2016-05-29 08:59:35 UTC
can you take this for me https://bugzilla.redhat.com/show_bug.cgi?id=1328064
thanks in advance

Comment 3 gil cattaneo 2016-05-29 09:51:53 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)". Detailed output of licensecheck in
     /home/gil/1329923-gimp-layer-via-copy-cut/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/gimp/2.0/plug-ins
[-]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gimp/2.0/plug-ins
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[?]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gimp-layer-via-copy-cut-1.6-1.fc25.noarch.rpm
          gimp-layer-via-copy-cut-1.6-1.fc25.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
gimp-layer-via-copy-cut (rpmlib, GLIBC filtered):
    /usr/bin/env
    gimp
    python



Provides
--------
gimp-layer-via-copy-cut:
    gimp-layer-via-copy-cut



Source checksums
----------------
http://some-gimp-plugins.com/contents/en/extensions/002/layer-via-copy-cut.zip :
  CHECKSUM(SHA256) this package     : 6b22d22fd0aab5ac48137d3604581d64aed54f0787db3cf04caa6858285e9643
  CHECKSUM(SHA256) upstream package : 6b22d22fd0aab5ac48137d3604581d64aed54f0787db3cf04caa6858285e9643


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1329923 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 gil cattaneo 2016-05-29 09:55:35 UTC
Issues:
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.

[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Package does not include license text files separate from upstream.

Not available LICENSE file in source directory structure
Please. Ask to upstream include license and/or copyright notice.
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text

Comment 6 gil cattaneo 2016-05-30 06:40:53 UTC
(In reply to gil cattaneo from comment #4)
> Issues:
> Not available LICENSE file in source directory structure
> Please. Ask to upstream include license and/or copyright notice.
> https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/
> LicensingGuidelines#License_Text

Reported @ http://slybug.deviantart.com/art/Layer-via-Copy-Cut-305728401
Approved

Comment 7 Luya Tshimbalanga 2016-05-30 17:01:14 UTC
Thank you for the review..

Comment 9 Gwyn Ciesla 2016-05-30 23:07:10 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/gimp-layer-via-copy-cut

Comment 10 Fedora Update System 2016-05-31 00:58:59 UTC
gimp-layer-via-copy-cut-1.6-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-396be8064a

Comment 11 Fedora Update System 2016-05-31 00:59:04 UTC
gimp-layer-via-copy-cut-1.6-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6da43ddbc1

Comment 12 Fedora Update System 2016-05-31 00:59:09 UTC
gimp-layer-via-copy-cut-1.6-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c23ca81a75

Comment 13 Fedora Update System 2016-05-31 00:59:13 UTC
gimp-layer-via-copy-cut-1.6-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7e668f5432

Comment 14 Fedora Update System 2016-05-31 08:52:57 UTC
gimp-layer-via-copy-cut-1.6-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-396be8064a

Comment 15 Fedora Update System 2016-05-31 20:17:24 UTC
gimp-layer-via-copy-cut-1.6-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7e668f5432

Comment 16 Fedora Update System 2016-05-31 20:50:53 UTC
gimp-layer-via-copy-cut-1.6-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6da43ddbc1

Comment 17 Fedora Update System 2016-05-31 20:55:09 UTC
gimp-layer-via-copy-cut-1.6-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c23ca81a75

Comment 18 Fedora Update System 2016-06-17 16:01:52 UTC
gimp-layer-via-copy-cut-1.6-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-06-17 18:17:42 UTC
gimp-layer-via-copy-cut-1.6-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-06-17 21:48:25 UTC
gimp-layer-via-copy-cut-1.6-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-06-18 18:54:17 UTC
gimp-layer-via-copy-cut-1.6-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 jiri vanek 2016-08-03 08:13:50 UTC
Hello!

No meter what I do, the plugin is not found by gimp after the install.

Comment 23 jiri vanek 2016-08-03 08:17:36 UTC
After ln -s /usr/share/gimp/2.0/plug-ins/layer-via-copy-cut.py  ~/.gimp-2.8/plu-gins/layer-via-copy-cut.py it works.

Comment 24 Luya Tshimbalanga 2016-08-03 23:29:55 UTC
(In reply to jiri vanek from comment #23)
> After ln -s /usr/share/gimp/2.0/plug-ins/layer-via-copy-cut.py 
> ~/.gimp-2.8/plu-gins/layer-via-copy-cut.py it works.

Hello Jiri, 
Good to hear the issue is fixed. I tested the installation of Fedora 24 without a hinch. In a future, yould you open a separate bug report as this ticket is for packaging review?
Could you mention with version of operating system you use?

Comment 25 jiri vanek 2016-08-04 09:18:38 UTC
It is not fixed:) It is way  (wrong) how to make it work:(

here you go: https://bugzilla.redhat.com/show_bug.cgi?id=1364006


Note You need to log in before you can comment on or make changes to this bug.